# -*- coding: utf-8 -*-

from django.utils.translation import ugettext as _
from django.core.urlresolvers import reverse
from admin_tools.menu import items, Menu

#from jmb.core.conf.admin_menu import GenericMenuItem
from jmb.core.middleware.thread_local import get_current_user
from jmb.core.admin.menu import register_menu

mailup_menu_item = items.MenuItem(
    # GENERAL
    _('Mailup'), 
    reverse('admin:app_list', kwargs={'app_label': 'mailup'}),
    children=[
        items.MenuItem(_('Mailup'), '',
            children=[
                items.MenuItem(_('Add Mailup'), reverse('admin:mailup_mailup_add',)), 
                items.MenuItem(_('Mailup List'), reverse('admin:mailup_mailup_changelist',) ), 
            ]
        ),
    ]
)


register_menu(mailup_menu_item, 'acomea.mailup')
